<bugID>1203159<Summary>Migrate DevTools resources to resource://devtools/ URLs</Summary><Description>In bug 912121 comment 24, Alex mentioned we could move to using a new resource://devtools/:

(In reply to Alexandre Poirot [:ochameau] from bug 912121 comment #24)
&gt; About resource://gre/ versus resource://modules/
&gt; Today, it looks like we don't do anything to map resource:// URL to local
&gt; clone. (i.e. we always map to firefox-builtin files).
&gt; I was wondering, if, while we are at changing this... if it would make sense
&gt; to also introduce a resource://devtools path, mapping to the root devtools
&gt; folder. 
&gt; With its associated own jar file. We would not add any devtools specifics to
&gt; any browser/toolkit omni.jar. And it would then be easy to map this resource
&gt; URI to a local checkout via:
&gt;   Services.io.getProtocolHandler("resource")
&gt;              .QueryInterface(Ci.nsIResProtocolHandler)
&gt;              .setSubstitution("devtools", uri);
&gt; (It also open ways to shrink devtools out of firefox ;))
&gt; Also, it would allow to load client files via non-chrome URLs without having
&gt; to do yet another refactoring/file move.

:glandium has expressed some concerns about this, because as I understand it, implementing this would move all DevTools client files up to the top level omni.ja, increasing file size for other XUL app users.  In our own tree, we can avoid this by not building in the client directory, but someone using "firefox -app foo.ini" could be impacted.

Let's discuss the idea further here.</Description></bugID>